.promote:
  extends: .rules-only-for-tags-and-testing
  stage: promote
  image: $DOCKER_REGISTRY/$BASE_INFRA_IMAGE
  tags:
    - aws
  script:
    - aws_ecr_login
    - docker_promote $CI_COMMIT_SHORT_SHA $VERSION
    - if [ -n "${CI_COMMIT_BRANCH}" ] ; then docker_promote $CI_COMMIT_SHORT_SHA "${CI_COMMIT_BRANCH}-latest" ; fi
    - if [ -n "${CI_COMMIT_TAG}" ] ; then docker_promote $CI_COMMIT_SHORT_SHA $CI_COMMIT_TAG;  docker_promote $CI_COMMIT_SHORT_SHA latest; fi
  cache: {}
  interruptible: true

.promote-staging:
  extends:
    - .promote
    - .rules-only-for-default
  stage: promote-staging